http_mode:
  type: str
  default: caddy
  choices:
    "Caddy reverse proxy (HTTPS via Letsencrypt - for easy public hosting)": caddy
    "No reverse proxy (services will be on separate ports, without SSL - for localhost or custom reverse proxy setup)": no_proxy

mode:
  type: str
  help: Will this be hosted publically, or just locally for testing/development
  when: "{{ http_mode == 'no_proxy' }}"
  default: "{% if http_mode == 'no_proxy' %}localhost{% else %}public{% endif %}"
  choices:
    localhost: null
    Public: public
    LAN: lan

enable_gateway:
  type: bool
  default: true
  help: Enable Kubo's IPFS Gateway (so you can access IPFS data via HTTP)
enable_ucan:
  type: bool
  default: true
  help: Enable ucan-store-proxy (enables a storage API authorized via UCAN)

domain:
  type: str
  help: Main domain this will be hosted on
  default: localhost
  when: "{{ mode != 'localhost' and (enable_gateway or enable_ucan) }}"
public_gateway_url:
  type: str
  help: Public domain/URL for the IPFS gateway (e.g. `ipfs.domain.org`, `http://localhost:8080`)
  default: "ipfs.{{ domain }}{% if http_mode == 'no_proxy' %}:8080{% endif %}"
  when: "{{ enable_gateway and mode != 'localhost' }}"
public_ucan_url:
  type: str
  help: Public domain/URL for the ucan proxy (e.g. `ucan.domain.org`, `http://localhost:8000`)
  default: "ucan.{{ domain }}{% if http_mode == 'no_proxy' %}:8000{% endif %}"
  when: "{{ enable_ucan and mode != 'localhost' }}"
